title = "MC部落"
# Add an trailing slash to ensure that all fonts render correctly.
baseURL = "https://h.cowbay.org/"
theme = "bilberry-hugo-theme"

enableRobotsTXT = true

# Change to one of your content languages definded at the end.
DefaultContentLanguage = "tw"

# Enable / Disable Google Analytics statistics for your site
#googleAnalytics = "UA-128770427-1"
googleAnalytics = "UA-138954876-1"

# Enable / Disable comments on the articles via Disqus.
disqusShortname = "h-cowbay-org-1"

[params]
  # Favicon for the browser's favorites and tabs
  favicon = "" # set a favicon icon

  # Custom CSS / JS modules that will be imported by the template.
  # Files are relative to the static/ directory or a URL.
  # Files are imported in the order they appear here, after
  # theme.css and theme.js, respectively.
  css_modules = ["https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"]
  js_modules = []

  # Description and meta data for the search engines
  author = "Eric Chang"
  description = "What’s the Worst That Could Happen?"
  keywords = "linux,blog,responsive,search,font awesome,pages,posts,multilingual,highlight.js,syntax highlighting,premium,shortcuts"

  # How many articles should be displayed at once?
  paginate = 10

  # Enable / Disable MathJax
  enable_mathjax    = false

  # Enable / Disable algolia search
#  algolia_search    = true
#  algolia_appId     = "Y2C4RWMPXW"
#  algolia_apiKey    = "50ea7f8c41c0ad233926e0be2b769ed1"
#  algolia_indexName = "default-content"

  algolia_search    = true
  algolia_appId     = "2XL0P8XDCY"
  algolia_apiKey    = "4ef65b37b627bb886b46c34a10e63aa6"
  algolia_indexName = "h_cowbay_org"
    # Set this option to false if you want to search within all articles in all languages at once
    algolia_currentLanguageOnly = false

  # Style configuration
    # set the width of your site's content
    siteWidth = "800px"

    # let hugo automatically resize and crop your images to the correct sizes
    resizeImages = true

  # Header configuration
    # your subtitle if you want to use any
    subtitle = "What’s the Worst That Could Happen?"

    # if you want to use gravatar for the header image
    gravatarEMail = "mc@mc4.us"

    # set an path to the image file you want to use | overwrites gravatar
    customImage = ""

    # define the icon you want to use for the overlay for the customImage or gravatar.
    overlayIcon = "fa-home"

    # always display the top navigation (with pages and search) on non-mobile screens
    permanentTopNav = true

    # show a language chooser in the header
    showHeaderLanguageChooser = false

  # Content configuration
    # Enable an optional pinned page to display at the top of the index
    # pinnedPost = "/content/github/"
    # Set to true to pin only to the first page, false to all pages
    # pinOnlyToFirstPage = true

    # enable automatical localization of the article's PublishedDate with momentjs
    enableMomentJs = true

    # customize the date format | only works if momentjs is disabled | only works with English month names
    # you can customize it with the options you find here:
    # https://gohugo.io/functions/format/#hugo-date-and-time-templating-reference
    dateFormat = "2006-01-02"

    # display the estimated reading time for an article
    showReadingTime = false

  # Footer configuration
    showFooter = true

    # How many articles should be displayed at latest posts in the footer?
    # Set to -1 to hide the 'Latest Posts' column
    amountLatestPostsInFooter = 7

    # How many categories should be displayed in the footer section?
    # Set to -1 to hide the 'Categories' column
    amountCategoriesInFooter = 7

    # show a language chooser in the header
    showFooterLanguageChooser = false

    # social media profile urls for the footer links
    showSocialMedia = true

    facebook   = "https://www.facebook.com/mariahchang"
    twitter    = "https://twitter.com/changchichung"
    googleplus = ""
    pinterest  = ""
    instagram  = ""
    tumblr     = ""
    youtube    = ""
    vimeo      = ""
    github     = "https://github.com/changchichung"
    xing       = ""
    linkedin   = ""

    # credits line configuration
    copyrightBy = "by Lednerb"
    copyrightUseCurrentYear = false  # set to true to always display the current year in the copyright
    copyrightYearOverride = "2017"
    copyrightUrl = "https://github.com/Lednerb"
    creditsText = "Bilberry Hugo Theme"
    creditsUrl = "https://github.com/Lednerb/bilberry-hugo-theme"


# customize your available languages for your multi-langual site
# or delete the [Languages] blog to use the theme with only one supported language
[Languages]
  [Languages.en]
    weight = 1
  [Languages.de]
    weight = 2
    title = "Mein cooler neuer Blog"
    subtitle = "Hallo Welt! Dies ist der epischste Untertitel aller Zeiten."
  [Languages.tw]
    weight = 3
    title = "MCの飄狂山莊㊣"
    subtitle = "What’s the Worst That Could Happen?"

# don't change anything below
[taxonomies]
  author   = "author"
  tag      = "tags"
  category = "categories"

[outputs]
  home = [ "HTML", "JSON", "RSS" ]
  page = [ "HTML" ]

